Bug 627772 - [abrt] gedit-1:2.30.2-1.fc13: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-1:2.30.2-1.fc13: Process /usr/bin/gedit was killed by signal 11 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:2a587b124007767cffaac21bdaa...
:
: 595410 608159 618851 622031 624172 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 18:48 EDT by dobs
Modified: 2011-06-28 09:53 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 09:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.95 KB, text/plain)
2010-08-26 18:48 EDT, dobs
no flags Details
This is an example of a large html file without newlines. (35.50 KB, application/x-gzip)
2010-11-11 03:53 EST, Phil V
no flags Details

  None (edit)
Description dobs 2010-08-26 18:48:41 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: gedit /home/dobs/.cache/.fr-GeNgO7/sql_dump.23082010.sql
component: gedit
crash_function: _gtk_text_btree_get_chars_changed_stamp
executable: /usr/bin/gedit
kernel: 2.6.33.8-149.fc13.x86_64
package: gedit-1:2.30.2-1.fc13
rating: 4
reason: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1282862679
uid: 500

How to reproduce
-----
1. Open 65 Mb file...
2.
3.
Comment 1 dobs 2010-08-26 18:48:44 EDT
Created an attachment (id=441352)
File: backtrace
Comment 2 arhi.smece 2010-09-04 06:30:40 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
opening mysqldump (~300K sql) crashes the gedit. If I rename it to .txt gedit opens it without a problem

Comment
-----
mysqldump > xxx.sql
gedit xxx.sql
Comment 3 Mike Eskenazi 2010-09-08 15:23:13 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I opened gedit using the command line.
2. I tried to open a 1.1MB file.
3. gedit crashed.


Comment
-----
I suspect the file was too big.  It might have been nice to get a warning from gedit, rather than having it crash.
Comment 4 mkc 2010-09-14 04:06:12 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.ouverture du fichier backup .sql d'une base de données avec gedit.
2.
3.


Comment
-----
Le fichier s'ouvre tres bien avec bluefish mais pas avec gedit. Il s'agit d'un fichier de backup de base mysql au format standard.
Le fichier ne fait que 350ko
Comment 5 Dimar van Rietchoten 2010-09-20 09:11:22 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start with gedit <file>
2. <File> contains a MySql dump, with an extremely long line (295798 chars)
Comment 6 Thomas Jones-Low 2010-10-01 14:12:58 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened a large (3.1Mb) text file in gedit.
Comment 7 Thomas Jones-Low 2010-10-01 14:20:45 EDT
(In reply to comment #6)
> How to reproduce
> -----
> 1. Opened a large (3.1Mb) text file in gedit.

As with other commentors on this bug, the file in question was a MySQL dump file with very long lines.
Comment 8 Dimar van Rietchoten 2010-10-05 10:06:15 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. gedit <document.html> &
2. type text in document
3. hit <backspace>

Comment
-----
The document contains XHTML

During startup the console showed:
GtkSourceView-CRITICAL **: Highlighting a single line took too much time, syntax highlighting will be disabled

At the moment of the crash:
Gtk-CRITICAL **: gtk_text_buffer_get_iter_at_offset: assertion `GTK_IS_TEXT_BUFFER (buffer)' failed
Gtk-CRITICAL **: gtk_text_buffer_move_mark: assertion `GTK_IS_TEXT_MARK (mark)' failed
Comment 9 Karel Klíč 2010-11-09 11:33:16 EST
*** Bug 595410 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-09 11:33:21 EST
*** Bug 608159 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-09 11:33:26 EST
*** Bug 618851 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-11-09 11:33:32 EST
*** Bug 622031 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-11-09 11:33:37 EST
*** Bug 624172 has been marked as a duplicate of this bug. ***
Comment 14 Phil V 2010-11-11 03:44:34 EST
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
gedit crashes in various ways but not necessarily for a clear reason
Comment 15 Phil V 2010-11-11 03:48:18 EST
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Download a large html file and Remove all newlines  (or just uncompress attachment I provide)
2. open in gedit
3. move cursor to front of file
4. press space
5. press backspace
6. wait a few seconds and gedit will crash

it works 100% of the time for me.
Comment 16 Phil V 2010-11-11 03:53:47 EST
Created attachment 459692 [details]
This is an example of a large html file without newlines.

Open in gedit, place cursor at top of file, press space, press backspace.
Comment 17 Phil V 2010-11-11 03:56:11 EST
I previously reported this as 
https://bugzilla.redhat.com/show_bug.cgi?id=559446
Comment 18 Bug Zapper 2011-05-31 11:21:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2011-06-28 09:53:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.